# $Revision: 1.49 $, $Date: 2012/01/18 21:28:53 $
# TODO: %{_bindir}/event_rpcgen.py - rename to event_rpcgen?
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	libevent - an event notification library
Summary(pl.UTF-8):	libevent - biblioteka powiadamiająca o zdarzeniach
Name:		libevent
Version:	2.0.14
Release:	2
License:	BSD
Group:		Libraries
Source0:	https://github.com/downloads/libevent/libevent/%{name}-%{version}-stable.tar.gz
# Source0-md5:	cac0f379da35d3b98f83ac16fcfe1df4
Patch0:		%{name}-fpm.patch
Patch1:		%{name}-link.patch
URL:		http://www.monkey.org/~provos/libevent/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Obsoletes:	libevent-dietlibc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. It is meant to replace the asynchronous event loop
found in event-driven network servers.

%description -l pl.UTF-8
API libevent dostarcza mechanizm do wykonywania funkcji callback,
kiedy nastąpiło określone zdarzenie w deskryptorze pliku lub po
określonym czasie. Ma to na celu zastąpienie asynchronicznych pętli w
sterowanych zdarzeniami usługach sieciowych.

%package devel
Summary:	Header files for libevent library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libevent
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel

%description devel
Header files for libevent library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libevent.

%package static
Summary:	Static libevent library
Summary(pl.UTF-8):	Statyczna biblioteka libevent
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libevent library.

%description static -l pl.UTF-8
Statyczna biblioteka libevent.

%prep
%setup -q -n %{name}-%{version}-stable
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/libevent-2.0.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libevent-2.0.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libevent.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README
%attr(755,root,root) /%{_lib}/libevent-2.0.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libevent-2.0.so.5
%attr(755,root,root) %{_libdir}/libevent_core-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevent_core-2.0.so.5
%attr(755,root,root) %{_libdir}/libevent_extra-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevent_extra-2.0.so.5
%attr(755,root,root) %{_libdir}/libevent_openssl-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevent_openssl-2.0.so.5
%attr(755,root,root) %{_libdir}/libevent_pthreads-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevent_pthreads-2.0.so.5

%files devel
%defattr(644,root,root,755)
# R: python
%attr(755,root,root) %{_bindir}/event_rpcgen.py
%attr(755,root,root) %{_libdir}/libevent.so
%attr(755,root,root) %{_libdir}/libevent_core.so
%attr(755,root,root) %{_libdir}/libevent_extra.so
%attr(755,root,root) %{_libdir}/libevent_openssl.so
%attr(755,root,root) %{_libdir}/libevent_pthreads.so
%{_libdir}/libevent.la
%{_libdir}/libevent_core.la
%{_libdir}/libevent_extra.la
%{_libdir}/libevent_openssl.la
%{_libdir}/libevent_pthreads.la
%dir %{_includedir}/event2
%{_includedir}/event2/*.h
%{_includedir}/evdns.h
%{_includedir}/event*.h
%{_includedir}/evhttp.h
%{_includedir}/evrpc.h
%{_includedir}/evutil.h
#%%{_mandir}/man3/evdns.3*
#%%{_mandir}/man3/event.3*
%{_pkgconfigdir}/libevent.pc
%{_pkgconfigdir}/libevent_openssl.pc
%{_pkgconfigdir}/libevent_pthreads.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libevent.a
%{_libdir}/libevent_core.a
%{_libdir}/libevent_extra.a
%{_libdir}/libevent_openssl.a
%{_libdir}/libevent_pthreads.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libevent.spec,v $
Revision 1.49  2012/01/18 21:28:53  baggins
- rel 2
- moved libevent to / for NFS idmapd

Revision 1.48  2011/10/01 05:30:43  qboosh
- updated event_rpcgen todo

Revision 1.47  2011/09/28 07:09:34  lisu
- updated to 2.0.14

Revision 1.46  2011/09/22 19:50:25  bszx
- updated to 2.0.13

Revision 1.45  2011/06/07 07:10:45  lisu
- updated to 2.0.12

Revision 1.44  2011/03/19 06:35:01  qboosh
- package docs, including LICENSE

Revision 1.43  2011/02/28 12:47:52  duddits
- commit log update (regarding dietlibc subpackage)

Revision 1.42  2011/02/27 23:02:23  charles
- updated BRs

Revision 1.41  2011/02/24 21:39:30  lisu
- restore rev 1.38
- O: libevent-dietlibc
- rel 2

Revision 1.40  2011/02/24 21:37:01  lisu
- ooops, reverse

Revision 1.38  2011/02/24 20:30:20  duddits
- bump to rel.1
- dietlibc dropped, ACK from baggins

Revision 1.37  2011/02/24 20:24:48  lisu
- restore -link.patch and adjust it for 2.0.10 version

Revision 1.36  2011/02/24 13:54:48  duddits
- merge from DEVEL (successful one I hope)
- this has rel. 0.1, just check if it works and we can bump it to 1
- some clean up

Revision 1.35  2011/01/06 21:05:05  sparky
- added link patch
- auto*ize to enable link patch
- BR: autoconf, automake, libtool

Revision 1.34  2010/09/25 15:16:58  glen
- reason is quite obvious

Revision 1.33  2010/09/24 16:11:06  baggins
- rel 2
- there is no need to rebuild ac/am stuff
- added dietlibc package for nfs-utils

Revision 1.32  2010/06/24 11:24:22  lisu
- 1.4.14b

Revision 1.31  2010/05/16 09:34:09  glen
- add facebook changes patch
- drop zero epoch; rel 2

Revision 1.30  2009/11/18 12:28:43  lisu
- 1.4.13

Revision 1.29  2009/08/04 07:51:22  lisu
- 1.4.12

Revision 1.28  2009/06/01 14:01:03  lisu
- up to 1.4.11

Revision 1.27.2.9  2011/02/24 13:13:51  duddits
- up to 2.0.10 (thanks marTi: marcin dot rybak at gmail dot com)
- looks stable (see home page for details)
- needs to be merged with HEAD as some packages will probably relay on this   version

Revision 1.27.2.8  2010/12/15 12:13:15  lisu
- up to 2.0.9-rc
- drop zero epoch
- skip symbol checking for some broken libs
- package more .pc files

Revision 1.27.2.7  2010/09/14 07:24:37  lisu
- 2.0.7-rc

Revision 1.27.2.6  2010/08/16 13:06:28  lisu
- up to 2.0.6-rc
- new sonames version

Revision 1.27.2.5  2010/05/13 09:09:49  lisu
- updated to 2.0.5-beta
- add libevent_openssl libraries
- no manual pages

Revision 1.27.2.4  2010/03/05 11:12:02  lisu
- updated to 2.0.4-alpha
- package libevent_openssl files

Revision 1.27.2.3  2009/11/24 13:06:59  lisu
- up to 2.0.3-alpha

Revision 1.27.2.2  2009/08/04 08:01:31  lisu
- up to 2.0.2-alpha
- updated shared libraries

Revision 1.27.2.1  2009/04/27 11:08:41  lisu
- 2.0.1-alpha version
- libevent_pthreads stuff
- add *.pc

Revision 1.27  2009/04/27 10:18:45  lisu
- up to 1.4.10

Revision 1.26  2008/12/22 14:10:44  lisu
- 1.4.9

Revision 1.25  2008/11/16 16:24:31  glen
- release 4

Revision 1.24  2008/11/16 15:23:55  glen
- add fpm patch (disables few asserts needed for php-fpm); rel 3

Revision 1.23  2008/09/01 12:43:25  arekm
- release 2

Revision 1.22  2008/08/27 16:08:37  qboosh
- updated to 1.4.7

Revision 1.21  2008/07/09 23:13:24  qboosh
- updated to 1.4.5-stable (note: new soname, libs split)

Revision 1.20  2007/11/03 00:23:19  qboosh
- updated to 1.3e (new soname as usual)

Revision 1.19  2007/09/05 17:37:18  qboosh
- updated to 1.3d (new soname)

Revision 1.18  2007/03/10 15:32:58  qboosh
- updated to 1.3b (new soname as usual)

Revision 1.17  2007/02/19 20:56:52  qboosh
- updated to 1.3a (fixes remote DNS DoS)

Revision 1.16  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.14  2006/10/17 06:18:26  arekm
- up to 1.2

Revision 1.13  2006/08/10 06:54:13  arekm
- up to 1.1b

Revision 1.12  2005/11/26 00:38:57  qboosh
- updated md5

Revision 1.11  2005/11/25 18:28:52  eothane
- up to 1.1a

Revision 1.10  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.9  2005/06/15 20:42:31  witekfl
- added bcond_without static_libs

Revision 1.8  2005/02/27 19:41:00  arekm
- up to 1.0b

Revision 1.7  2005/01/07 21:14:55  qboosh
- updated to 1.0a (bugfix)

Revision 1.6  2004/12/22 15:17:10  qboosh
- updated to 1.0, updated shared patch

Revision 1.5  2004/12/20 21:12:40  qboosh
- pl fix, download URL

Revision 1.4  2004/09/04 20:39:21  adamg
- strict internal deps
- release 1

Revision 1.3  2003/10/29 21:44:18  qboosh
- patched to build shared library, pl fix

Revision 1.2  2003/10/29 21:10:56  ankry
- typo, cosmetics

Revision 1.1  2003/10/29 13:04:42  michuz
- initial release
- TODO: (1) shared library, (2) check my poor polish translation
